0%

Trouble Shooting For Phoenix(4)

说明: 老夫一开始使用的HBase版本是1.3.5,但是,公司使用版本是1.2.0版本,使用的Phoinex版本是Phoinex-4.7.0-HBase-1.1版本。然后老夫不得已安装了一个HBase-1.1.2版本。毕竟Phoinex版本是这个。接下来,老夫就对老夫遇到的问题做一下简单的描述与说明。

Q1: HMaster使用的是HBase1.3.5,RegionServer使用的是1.1.2.

关于这个问题,可能有读者朋友会感到意外,我也是很意外,由于事情发生在昨天,老夫没有截图。所以老夫也不好去解释这个现象。因为今天老夫在启动集群环境的时候,发现,HBase启动的又变成了1.1.2的版本。老夫简单的猜测有几个,毕竟对Linux也不熟悉,就是系统缓存或者是Zookeeper里面注册的HBase还是之前的1.3.5的原因导致的。反正今天是可以的。

Q2: 第二个问题是承接第一个问题的。由于HMaster显示是1.3.5,RegionServer显示是1.1.2(当时老夫的regionservers的配置文件都没配置,也不知道怎么怎么回事,也许用的也是1.3.5,但是那个日志文件在1.1.2,哎呦,不清楚)。在启动我的Phoinex的时候,显示下图这个问题:

1573610707984

这个问题就是因为之前HBase里面版本与Phoinex版本之间存在的落差了。把HBase清空一下就好了

1
hbase clean --cleanZk
这是打赏的地方...

本文标题:Trouble Shooting For Phoenix(4)

文章作者:Mr.Sun

发布时间:2019年12月06日 - 15:23:59

最后更新:2020年06月10日 - 10:01:44

原始链接:http://www.blog.sun-iot.xyz/posts/37055cb0

许可协议: 署名-非商业性使用-禁止演绎 4.0 国际 转载请保留原文链接及作者。

---------Thanks for your attention---------